com.smartgwt.client.types

## Enum KnobType

- java.lang.Object
- - java.lang.Enum<KnobType>
  - - com.smartgwt.client.types.KnobType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<KnobType>

      public enum KnobType
      extends java.lang.Enum<KnobType>
      implements ValueEnum

  Entries for the `DrawItem.knobs` array. Each specified knobType will enable some UI allowing the user to manipulate the DrawItem directly.

  NOTE: Not all knob types are supported by each DrawItem type. Refer to the DrawItem type's `knobs` attribute documentation for a list of the supported knob types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTROLPOINT1` Display a draggable control knob along with a DrawLine indicating the angle between controlPoint1 and the startPoint.
    `CONTROLPOINT2` Display a draggable control knob along with a DrawLine indicating the angle between controlPoint2 and the endPoint.
    `ENDPOINT` Control knob to manipulate `DrawLine.endPoint`.
    `MOVE` Display a control knob for moving the item around.
    `RESIZE` Display up to 8 control knobs at the corners specified by `DrawItem.resizeKnobPoints`, allowing the user to drag-resize the item.
    `STARTPOINT` Control knob to manipulate `DrawLine.startPoint`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static KnobType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KnobType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESIZE

          public static final KnobType RESIZE

      Display up to 8 control knobs at the corners specified by `DrawItem.resizeKnobPoints`, allowing the user to drag-resize the item. See also `DrawItem.cornerResizeKnob` and `DrawItem.sideResizeKnob`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "resize".

    - #### MOVE

          public static final KnobType MOVE

      Display a control knob for moving the item around. See also `DrawItem.moveKnobPoint` and `DrawItem.moveKnobOffset`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "move".

    - #### STARTPOINT

          public static final KnobType STARTPOINT

      Control knob to manipulate `DrawLine.startPoint`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "startPoint".

    - #### ENDPOINT

          public static final KnobType ENDPOINT

      Control knob to manipulate `DrawLine.endPoint`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "endPoint".

    - #### CONTROLPOINT1

          public static final KnobType CONTROLPOINT1

      Display a draggable control knob along with a DrawLine indicating the angle between controlPoint1 and the startPoint. Dragging the knob will adjust controlPoint1.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "controlPoint1".

    - #### CONTROLPOINT2

          public static final KnobType CONTROLPOINT2

      Display a draggable control knob along with a DrawLine indicating the angle between controlPoint2 and the endPoint. Dragging the knob will adjust controlPoint2.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "controlPoint2".

  - ### Method Detail

    - #### values

          public static KnobType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KnobType c : KnobType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KnobType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`